#pragma once
#include "global.h"
#include "MyStructDef.h"
class CImportCaveStoryPxm : public CDialog
{
	DECLARE_DYNAMIC(CImportCaveStoryPxm)
	DECLARE_MESSAGE_MAP()
public:
	CImportCaveStoryPxm(CWnd* pParent = nullptr);   // 标准构造函数
	virtual ~CImportCaveStoryPxm();
	// 对话框数据
#ifdef AFX_DESIGN_TIME
	enum { IDD = IDD_CIMPORT_CAVESTORY_PXM };
#endif
	CMAPEDITOR_DATATYPE_PXM outPxm;
	int outPxm_w = 0;
	int outPxm_h = 0;
	int inLastOffX = 0;
	int inLastOffY = 0;
protected:
	void DoDataExchange(CDataExchange* pDX) override;
	BOOL OnInitDialog() override;
public:
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonBrowse();
private:
	//控件
	CEdit edit_browse;
	CButton button_browse;
	CEdit edit_offx;
	CEdit edit_offy;
	std::vector<BYTE> mapData;
};

